# H460_FeatureContent Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureContent:

[legend]
Collaboration diagram for H460_FeatureContent:
[legend]

## Public Member Functions

Construction
| H460_FeatureContent ()
| H460_FeatureContent (PASN_OctetString &param)
| H460_FeatureContent (const PString &param)
| H460_FeatureContent (PASN_BMPString &param)
| H460_FeatureContent (PBoolean param)
| H460_FeatureContent (unsigned param, unsigned len)
| H460_FeatureContent (const H460_FeatureID &id)
| H460_FeatureContent (const H225_AliasAddress &add)
| H460_FeatureContent (const PURL &add)
| H460_FeatureContent (const H323TransportAddress &add)
| H460_FeatureContent (const H460_FeatureTable &table)
| H460_FeatureContent (const OpalGloballyUniqueID &guid)
| H460_FeatureContent (H460_Feature *data)
| H460_FeatureContent (const H225_Content &param)
Content Operators
| operator PASN_OctetString () const
| operator PString () const
| operator PASN_BMPString () const
| operator PBoolean () const
| operator unsigned () const
| operator H460_FeatureID () const
| operator H225_AliasAddress () const
| operator H323TransportAddress () const
| operator H460_FeatureTable * ()
| operator H460_Feature * ()

## Constructor & Destructor Documentation

H460_FeatureContent::H460_FeatureContent | ( |  | ) |

Blank Feature

H460_FeatureContent::H460_FeatureContent | ( | PASN_OctetString & | param | ) |

PASN_OctetString Raw information which can be deseminated by Derived Class

H460_FeatureContent::H460_FeatureContent | ( | const PString & | param | ) |

String Value

H460_FeatureContent::H460_FeatureContent | ( | PASN_BMPString & | param | ) |

Blank Feature

H460_FeatureContent::H460_FeatureContent | ( | PBoolean | param | ) |

Boolean Value

H460_FeatureContent::H460_FeatureContent | ( | unsigned | param,
|  | unsigned | len |
| ) |  |  |

Integer Value

H460_FeatureContent::H460_FeatureContent | ( | const H460_FeatureID & | id | ) |

Feature Identifier

H460_FeatureContent::H460_FeatureContent | ( | const H225_AliasAddress & | add | ) |

Alias Address Raw

H460_FeatureContent::H460_FeatureContent | ( | const PURL & | add | ) |

Alias Address Encoded

H460_FeatureContent::H460_FeatureContent | ( | const H323TransportAddress & | add | ) |

Transport Address

H460_FeatureContent::H460_FeatureContent | ( | const H460_FeatureTable & | table | ) |

Feature Table

H460_FeatureContent::H460_FeatureContent | ( | const OpalGloballyUniqueID & | guid | ) |

GUID

H460_FeatureContent::H460_FeatureContent | ( | H460_Feature * | data | ) |

Features

H460_FeatureContent::H460_FeatureContent | ( | const H225_Content & | param | ) |

Creation from PDU

## Member Function Documentation

H460_FeatureContent::operator H225_AliasAddress | ( |  | ) | const`[inline]`

H460_FeatureContent::operator H323TransportAddress | ( |  | ) | const`[inline]`

H460_FeatureContent::operator H460_Feature * | ( |  | ) | `[inline]`

H460_FeatureContent::operator H460_FeatureID | ( |  | ) | const`[inline]`

H460_FeatureContent::operator H460_FeatureTable * | ( |  | ) | `[inline]`

H460_FeatureContent::operator PASN_BMPString | ( |  | ) | const`[inline]`

H460_FeatureContent::operator PASN_OctetString | ( |  | ) | const`[inline]`

H460_FeatureContent::operator PBoolean | ( |  | ) | const`[inline]`

H460_FeatureContent::operator PString | ( |  | ) | const`[inline]`

H460_FeatureContent::operator unsigned | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- h4601.h